# Vibrate

An action block that vibrates the device.

The fiber will proceed immediately without pause.

The vibration will continue indefinitely if repeat is enabled, but it can be stopped by an Vibrate stop block.

The value type of the pattern determine the vibration pattern:

- number — predefined pattern.
- text — converted to a morse code pattern.
- array — custom pattern where each element is a millisecond duration: [pause, vibrate, pause, vibrate, …].
- Otherwise the Strong pattern is used.

## Input arguments

- Vibration pattern — pattern of vibration, either a number, text or an array.
- Repeat — whether the vibration pattern should repeat, loop.